## org.apache.poi.ss.formula
Interface FormulaRenderingWorkbook

All Known Implementing Classes:
  HSSFEvaluationWorkbook, XSSFEvaluationWorkbook

    public interface FormulaRenderingWorkbook

Abstracts a workbook for the purpose of converting formula to text.
For POI internal use only

Author:
  Josh Micich

Method Summary
`EvaluationWorkbook.ExternalSheet` `getExternalSheet(int externSheetIndex)`
`java.lang.String` `getNameText(NamePtg namePtg)`
`java.lang.String` `getSheetNameByExternSheet(int externSheetIndex)`
`java.lang.String` `resolveNameXText(NameXPtg nameXPtg)`

Method Detail

### getExternalSheet

    EvaluationWorkbook.ExternalSheet getExternalSheet(int externSheetIndex)

  Returns:
    `null` if externSheetIndex refers to a sheet inside the current workbook

### getSheetNameByExternSheet

    java.lang.String getSheetNameByExternSheet(int externSheetIndex)

### resolveNameXText

    java.lang.String resolveNameXText(NameXPtg nameXPtg)

### getNameText

    java.lang.String getNameText(NamePtg namePtg)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.